## com.google.common.collect
Class GenericMapMaker<K0,V0>

    java.lang.Object
      com.google.common.collect.GenericMapMaker<K0,V0>

Type Parameters:
  `K0` - the base type for all key types of maps built by this map maker
  `V0` - the base type for all value types of maps built by this map maker

Direct Known Subclasses:
  MapMaker

    @Beta
    @GwtCompatible(emulated=true)
    public abstract class GenericMapMaker<K0,V0>

extends Object

A class exactly like `MapMaker`, except restricted in the types of maps it can build. For the most part, you should probably just ignore the existence of this class.

Since:
  7.0
Author:
  Kevin Bourrillion

Method Summary
`abstract GenericMapMaker<K0,V0>` `concurrencyLevel(int concurrencyLevel)` See `MapMaker.concurrencyLevel`.
`abstract GenericMapMaker<K0,V0>` `initialCapacity(int initialCapacity)` See `MapMaker.initialCapacity`.

`abstract

`<K extends K0,V extends V0> ConcurrentMap<K,V>`

`

`makeComputingMap(Function<? super K,? extends V> computingFunction)`
Deprecated.

`abstract

`<K extends K0,V extends V0> ConcurrentMap<K,V>`

`

`makeMap()`
See `MapMaker.makeMap()`.

`abstract GenericMapMaker<K0,V0>` `softKeys()` Deprecated.
`abstract GenericMapMaker<K0,V0>` `softValues()` See `MapMaker.softValues()`.
`abstract GenericMapMaker<K0,V0>` `weakKeys()` See `MapMaker.weakKeys()`.
`abstract GenericMapMaker<K0,V0>` `weakValues()` See `MapMaker.weakValues()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initialCapacity

    public abstract GenericMapMaker<K0,V0> initialCapacity(int initialCapacity)

  See `MapMaker.initialCapacity`.

### concurrencyLevel

    public abstract GenericMapMaker<K0,V0> concurrencyLevel(int concurrencyLevel)

  See `MapMaker.concurrencyLevel`.

### weakKeys

    @GwtIncompatible(value="java.lang.ref.WeakReference")
    public abstract GenericMapMaker<K0,V0> weakKeys()

  See `MapMaker.weakKeys()`.

### softKeys

    @Deprecated
    @GwtIncompatible(value="java.lang.ref.SoftReference")
    public abstract GenericMapMaker<K0,V0> softKeys()

  Deprecated.

  See `MapMaker.softKeys()`.

### weakValues

    @GwtIncompatible(value="java.lang.ref.WeakReference")
    public abstract GenericMapMaker<K0,V0> weakValues()

  See `MapMaker.weakValues()`.

### softValues

    @GwtIncompatible(value="java.lang.ref.SoftReference")
    public abstract GenericMapMaker<K0,V0> softValues()

  See `MapMaker.softValues()`.

### makeMap

    public abstract <K extends K0,V extends V0> ConcurrentMap<K,V> makeMap()

  See `MapMaker.makeMap()`.

### makeComputingMap

    @Deprecated
    public abstract <K extends K0,V extends V0> ConcurrentMap<K,V> makeComputingMap(Function<? super K,? extends V> computingFunction)

  Deprecated.

  See `MapMaker.makeComputingMap(com.google.common.base.Function<? super K, ? extends V>)`.

Copyright © 2010-2012. All Rights Reserved.